wayland::server::zwp_tablet_seat_v1_t(3)

NAME
wayland::server::zwp_tablet_seat_v1_t - controller object for graphic tablet devices of a seat

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

Inherits wayland::server::resource_t.

  Public Member Functions

std::function< void()> & on_destroy ()
release the memory for the tablet seat object
void tablet_added (bool post=true)
new device notification
void tool_added (bool post=true)
a new tool has been used with a tablet
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

  Static Public Attributes

static constexpr std::uint32_t tablet_added_since_version = 1
Minimum protocol version required for the tablet_added function.
static constexpr std::uint32_t tool_added_since_version = 1
Minimum protocol version required for the tool_added function.

Detailed Description

controller object for graphic tablet devices of a seat

An object that provides access to the graphics tablets available on this seat. After binding to this interface, the compositor sends a set of wp_tablet_seat.tablet_added and wp_tablet_seat.tool_added events.

Definition at line 4041 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void()> & zwp_tablet_seat_v1_t::on_destroy ()

release the memory for the tablet seat object Destroy the wp_tablet_seat object. Objects created from this object are unaffected and should be destroyed separately.

Definition at line 6130 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post 'not enough memory' error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

  void zwp_tablet_seat_v1_t::tablet_added (bool post = true)

new device notification

Returns
    the newly added graphics tablet

This event is sent whenever a new tablet becomes available on this seat. This event only provides the object id of the tablet, any static information about the tablet (device name, vid/pid, etc.) is sent through the wp_tablet interface.

Definition at line 6136 of file wayland-server-protocol-unstable.cpp.

  void zwp_tablet_seat_v1_t::tool_added (bool post = true)

a new tool has been used with a tablet

Returns
    the newly added tablet tool

This event is sent whenever a tool that has not previously been used with a tablet comes into use. This event only provides the object id of the tool; any static information about the tool (capabilities, type, etc.) is sent through the wp_tablet_tool interface.

Definition at line 6141 of file wayland-server-protocol-unstable.cpp.

Member Data Documentation

  constexpr std::uint32_t wayland::server::zwp_tablet_seat_v1_t::tablet_added_since_version = 1 [static], [constexpr]

Minimum protocol version required for the tablet_added function.

Definition at line 4088 of file wayland-server-protocol-unstable.hpp.

  constexpr std::uint32_t wayland::server::zwp_tablet_seat_v1_t::tool_added_since_version = 1 [static], [constexpr]

Minimum protocol version required for the tool_added function.

Definition at line 4103 of file wayland-server-protocol-unstable.hpp.

Author

Generated automatically by Doxygen for Wayland++ from the source code.